Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface EJBComponentMBean

public interface EJBComponentMBean
extends ComponentMBean, EJBContainerMBean

The top level interface for all configuration information that WebLogic Server maintains for an EJB module.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ComponentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.EJBContainerMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`EJBComponentRuntimeMBean` | `getEJBComponentRuntime()` Returns the EJBComponentRuntimeMBean representing this EJB module.

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`activated, getActivatedTargets, getApplication, getDDEditingDisabledReason, getURI, isDDEditingEnabled, refreshDDsIfNeeded, setApplication, setURI`

Methods inherited from interface weblogic.management.configuration.EJBContainerMBean
`getExtraEjbcOptions, getExtraRmicOptions, getForceGeneration, getJavaCompiler, getJavaCompilerPostClassPath, getJavaCompilerPreClassPath, getKeepGenerated, getTmpPath, getVerboseEJBDeploymentEnabled, setExtraEjbcOptions, setExtraRmicOptions, setForceGeneration, setJavaCompiler, setJavaCompilerPostClassPath, setJavaCompilerPreClassPath, setKeepGenerated, setTmpPath, setVerboseEJBDeploymentEnabled`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getEJBComponentRuntime

    public EJBComponentRuntimeMBean getEJBComponentRuntime()

  Returns the EJBComponentRuntimeMBean representing this EJB module.

  A non-configurable MBean attribute.
  Returns:
    The eJBComponentRuntime value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD